SoNotRec(3)

NAME
SoNotRec - The SoNotRec class specifies records for notification lists.

SYNOPSIS

#include <Inventor/misc/SoNotification.h>

  Public Types
enum Type { CONTAINER, PARENT, SENSOR, FIELD, ENGINE }
enum OperationType { UNSPECIFIED, FIELD_UPDATE, GROUP_ADDCHILD, GROUP_INSERTCHILD, GROUP_REPLACECHILD, GROUP_REMOVECHILD, GROUP_REMOVEALLCHILDREN }

  Public Member Functions
SoNotRec (SoBase *const notifbase)
void setType (const SoNotRec::Type type)
SoBase * getBase (void) const
SoNotRec::Type getType (void) const
const SoNotRec * getPrevious (void) const
void setPrevious (const SoNotRec *const prev)
void print (FILE *const file) const
SoNotRec::OperationType getOperationType (void) const
int getIndex (void) const
int getFieldNumIndices (void) const
const SoBase * getGroupChild (void) const
const SoBase * getGroupPrevChild (void) const
void setOperationType (const SoNotRec::OperationType opType)
void setIndex (const int idx)
void setFieldNumIndices (const int fldnumind)
void setGroupChild (const SoBase *const gc)
void setGroupPrevChild (const SoBase *const pc)

Detailed Description

The SoNotRec class specifies records for notification lists.

See also
    SoNotification

Member Enumeration Documentation

  enum SoNotRec::Type
This enum is used to specify the type of the notification source within the record.

  enum SoNotRec::OperationType
This enum is used to specify the type of the scene graph operation causing the notification.

Constructor & Destructor Documentation

  SoNotRec::SoNotRec (SoBase *const notifbase)
Constructor. Initializes the record with notifbase pointer.

Member Function Documentation

  void SoNotRec::setType (const SoNotRec::Type typearg)
Set the type of the notification source of this record.

  SoBase * SoNotRec::getBase (void ) const
Returns the notification source within this record.

  SoNotRec::Type SoNotRec::getType (void ) const
Returns the type of the notification source within this record.

  const SoNotRec * SoNotRec::getPrevious (void ) const
Returns the previous notification source (i.e. the source that the base within this record was auditing).

  void SoNotRec::setPrevious (const SoNotRec *const prevptr)
Set pointer to the previous notification record.

  void SoNotRec::print (FILE *const file) const
Prints debug information.

Author

Generated automatically by Doxygen for Coin from the source code.